%global fontname paratype-pt
%global fontconf 57-%{fontname}

%global common_desc \
The PT Sans and PT Serif family were developed as part of the “Public Types of Russian \
Federation” project. This project aims at enabling the peoples of Russia to \
read and write their native languages, using free/libre fonts. It is \
dedicated to the 300-year anniversary of the Russian civil type invented by \
Peter the Great from 1708 to 1710, and was realized with financial support \
from the Russian Federal Agency for Press and Mass Communications. \
\
The fonts include support for all 54 title¹ languages of the Russian \
Federation as well as more common Western, Central European and Cyrillic \
blocks making them unique and a very important tool for modern digital \
communications. \
\
PT Sans and PT Serif were designed by Alexandra Korolkova with participation \
of Olga Umpeleva and under supervision of Vladimir Yefimov. PT Mono was designed \
by Alexandra Korolkova with participation of Isabella Chaeva and with \
financial support of Google. \
\
¹ A “title” language is named after an ethnic group.

%global sans_desc \
PT Sans is based on Russian sans serif types of the second part of the XX century, \
but at the same time has a very distinctive features of modern humanistic design. \
The family consists of 8 styles: 4 basic styles; 2 captions styles for small sizes \
and 2 narrows styles for economic setting.

%global serif_desc \
PT Serif is a transitional serif face with humanistic terminals designed for use \
together with PT Sans and harmonized with PT Sans on metrics, proportions, weights \
and design. PT Serif consists of six styles: regular and bold weights with corresponding \
italics form a standard computer font family for basic text setting; two caption styles \
(regular and italic) are for texts of small point sizes.

%global mono_desc \
PT Mono was developed for the special needs — for use in forms, tables, work sheets etc. \
Currently PT Mono consists of Regular and Bold styles.

Name:           %{fontname}-fonts
Version:        20111230
Release:        1%{?dist}
Summary:        A pan-Cyrillic typeface

Group:          User Interface/X
License:        OFL
URL:            http://www.paratype.com/public/
Source0:        http://www.fontstock.com/public/PTSans_OFL.zip
Source1:	http://www.paratype.com/uni/public/PTSerif.zip
Source2:	http://www.paratype.com/uni/public/PTMono.zip
Source10:       %{fontname}-sans-fonts-fontconfig.conf
Source11:       %{fontname}-sans-caption-fonts-fontconfig.conf
Source12:       %{fontname}-serif-fonts-fontconfig.conf
Source13:       %{fontname}-serif-caption-fonts-fontconfig.conf
Source14:       %{fontname}-mono-fonts-fontconfig.conf


BuildArch:      noarch
Requires:       fontpackages-filesystem
BuildRequires:  fontpackages-devel

%description
%common_desc


%package common
Summary:	Common files for paratype-fonts
Requires:	fontpackages-filesystem

%description common
%common_desc
%files common
%doc *.txt


%package -n %{fontname}-sans-fonts
Summary:        A pan-Cyrillic sans-serif typeface
Requires:	%{name}-common = %{version}-%{release}
%_font_pkg -n sans -f %{fontconf}-sans.conf PTS*.ttf PTN*.ttf

%description -n %{fontname}-sans-fonts
%sans_desc

%package -n %{fontname}-sans-caption-fonts
Summary:        A pan-Cyrillic typeface (caption forms for small text)
Requires:	%{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-caption-fonts
%sans_desc
This package includes 2 captions styles for small text sizes.

%_font_pkg -n sans-caption -f %{fontconf}-sans-caption.conf PTC*.ttf


%package -n %{fontname}-serif-fonts
Summary:        A pan-Cyrillic serif typeface
Requires:       %{name}-common = %{version}-%{release}
%_font_pkg -n serif -f %{fontconf}-serif.conf PTF*.ttf

%description -n %{fontname}-serif-fonts
%serif_desc


%package -n %{fontname}-serif-caption-fonts
Summary:        A pan-Cyrillic serif typeface (caption forms for small text)
Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-serif-caption-fonts
%serif_desc
This package includes 2 captions styles for small text sizes.

%_font_pkg -n serif-caption -f %{fontconf}-serif-caption.conf PTZ*.ttf


%package -n %{fontname}-mono-fonts
Summary:        A pan-Cyrillic monospace typeface
Requires:       %{name}-common = %{version}-%{release}
%_font_pkg -n mono -f %{fontconf}-mono.conf PTM*.ttf

%description -n %{fontname}-mono-fonts
%mono_desc


%prep
%setup -q -c -n Paratype
/usr/bin/unzip -qq -d PTSerif %{SOURCE1}
/usr/bin/unzip -qq -d PTMono %{SOURCE2}

for txt in *.txt PTSerif/*.txt PTMono/*.txt; do
   if $(echo "$txt" | grep -q "rus\.txt") ; then
     iconv --from=UTF-16       --to=UTF-8 "$txt" > "$txt.1"
   else
     iconv --from=WINDOWS-1251 --to=UTF-8 "$txt" > "$txt.1"
   fi
   sed -i 's/\r//' "$txt.1"
   touch -r "$txt" "$txt.1"
   mv "$txt.1" "$txt"
done


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf PTSerif/*.ttf PTMono/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE11} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-caption.conf
install -m 0644 -p %{SOURCE12} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf
install -m 0644 -p %{SOURCE13} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif-caption.conf
install -m 0644 -p %{SOURCE14} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf

for fconf in %{fontconf}-sans.conf \
             %{fontconf}-sans-caption.conf \
	     %{fontconf}-serif.conf \
	     %{fontconf}-serif-caption.conf \
	     %{fontconf}-mono.conf	; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done



%changelog
* Tue Oct 28 2014 Rajeesh K V <rajeeshknambiar@fedorapeople.org> - 20111230-1
- Include PT Serif and PT Mono fonts

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101909-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101909-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101909-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Parag <paragn AT fedoraproject DOT org> - 20101909-1
- Resolves:rh#882107 - source files does not match with upstream

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100408-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100408-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100408-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 25 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100408-1
— Update to latest upstream release
— Switch to the OFL version

* Thu Feb 18 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100112-3
— Remove vestigial dep in caption subpackage

* Sat Feb 13 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100112-2
— Update for review

* Sun Jan 17 2010 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20100112-1
— Initial release

